StandaloneCodecLookup (Grails 6.0.0)

Package: org.grails.encoder.impl

## [Groovy] Class StandaloneCodecLookup

- org.grails.encoder.impl.StandaloneCodecLookup

-     @groovy.transform.CompileStatic
      class StandaloneCodecLookup
      extends BasicCodecLookup

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private boolean` | `cacheLookupsInMetaMethods` |
    `private java.util.Collection<java.lang.Class>` | `codecFactoryClasses` |
    `private boolean` | `registerMetaMethods` |
    `private java.util.Collection<java.lang.Class>` | `targetClassesForMetaMethods` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BasicCodecLookup` | `NONE_CODEC_NAME, NONE_ENCODER, decoders, encoders`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `cacheLookupsInMetaMethods`
    `java.util.Collection<java.lang.Class>` | `codecFactoryClasses`
    `boolean` | `registerMetaMethods`
    `java.util.Collection<java.lang.Class>` | `targetClassesForMetaMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StandaloneCodecLookup ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `registerCodecFactory(CodecFactory codecFactory)`
    `` | `protected void` | `registerCodecs()`
    `` | `protected java.lang.Object` | `registerMetaMethods(CodecFactory codecFactory)`
    `` | `protected java.util.List<groovy.lang.ExpandoMetaClass>` | `resolveMetaClasses()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BasicCodecLookup` | `afterPropertiesSet, createChainedCodecInstance, createCodec, createNameVariations, lookupCodec, lookupDecoder, lookupEncoder, putChainedCodecInstance, reInitialize, registerCodecFactory, registerCodecs, registerDecoder, registerEncoder, registerVariationsOfName, registerWithNameVaritions`

- - ### Field Detail

    - #### private boolean cacheLookupsInMetaMethods

    - #### private java.util.Collection<java.lang.Class> codecFactoryClasses

    - #### private boolean registerMetaMethods

    - #### private java.util.Collection<java.lang.Class> targetClassesForMetaMethods

  - ### Property Detail

    - #### boolean cacheLookupsInMetaMethods

    - #### java.util.Collection<java.lang.Class> codecFactoryClasses

    - #### boolean registerMetaMethods

    - #### java.util.Collection<java.lang.Class> targetClassesForMetaMethods

  - ### Constructor Detail

    - #### StandaloneCodecLookup()

  - ### Method Detail

    - #### @java.lang.Override void registerCodecFactory(CodecFactory codecFactory)

    - #### @java.lang.Override protected void registerCodecs()

    - #### protected java.lang.Object registerMetaMethods(CodecFactory codecFactory)

    - #### protected java.util.List<groovy.lang.ExpandoMetaClass> resolveMetaClasses()